icmap_notify_value Struct Reference

Structure passed as new_value and old_value in change callback. More...

`#include <icmap.h>`

## Data Fields

icmap_value_types_t | type
size_t | len
const void * | data

## Detailed Description

Structure passed as new_value and old_value in change callback.

It contains type of key, length of key and pointer to value of key

Definition at line 91 of file icmap.h.

## Field Documentation

## data

const void* icmap_notify_value::data

Definition at line 94 of file icmap.h.

Referenced by stats_trigger_trackers().

## len

size_t icmap_notify_value::len

Definition at line 93 of file icmap.h.

Referenced by stats_trigger_trackers().

## type

icmap_value_types_t icmap_notify_value::type

Definition at line 92 of file icmap.h.

Referenced by stats_trigger_trackers().

The documentation for this struct was generated from the following file:

- icmap.h